
//You can set these variables in the scene because they are public 
public var RemoteIP : String = "127.0.0.1";
public var SendToPort : int = 5800;
public var ListenerPort : int = 8338;
public var target : TargetScript;

private var handler : Osc;

public function Start ()
{
	//Initializes on start up to listen for messages
	//make sure this game object has both UDPPackIO and OSC script attached
	var udp : UDPPacketIO = GetComponent("UDPPacketIO");
	udp.init(RemoteIP, SendToPort, ListenerPort);
	handler = GetComponent("Osc");
	handler.init(udp);		
	handler.SetAddressHandler("/pose/position", facePosition);
	handler.SetAddressHandler("/gesture/mouth/height", mouthHeight);
}

Debug.Log("Running");

//these fucntions are called when messages are received
public function facePosition(oscMessage : OscMessage) : void
{	
	var xt : float;
	xt = 1-((oscMessage.Values[0]/(600/100))/100); //maps the x to a value between 0 and 1.0
	var yt : float;
	yt = 1-((oscMessage.Values[1]/(400/100))/100); //maps the y to a value between 0 and 1.0

	target.SetTargetPosXY(xt, yt);
} 

public function mouthHeight(oscMessage : OscMessage) : void
{	
	if(oscMessage.Values[0] > 3) {
		target.blow = true;
		Debug.Log("TRUE");
	} else {
		target.blow =false;
		Debug.Log("FALSE");
	}
} 